<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <NonVisualComponents>
    <Component class="javax.swing.JSeparator" name="jSeparator1">
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[600, 500]"/>
    </Property>
    <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[600, 500]"/>
    </Property>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jPanel1" alignment="0" pref="600" max="32767" attributes="0"/>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jPanel1" alignment="0" max="32767" attributes="0"/>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JPanel" name="jPanel1">
      <Properties>
        <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[600, 400]"/>
        </Property>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[700, 500]"/>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel1" min="-2" pref="537" max="-2" attributes="0"/>
                          <EmptySpace max="32767" attributes="0"/>
                          <Component id="jCheckBox1" min="-2" pref="132" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="103" groupAlignment="1" max="-2" attributes="0">
                                  <Group type="102" attributes="0">
                                      <Component id="jLabelC" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace max="32767" attributes="0"/>
                                      <Component id="jTextFieldC" linkSize="1" min="-2" pref="60" max="-2" attributes="1"/>
                                  </Group>
                                  <Group type="102" attributes="0">
                                      <Component id="jLabelA" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace max="32767" attributes="0"/>
                                      <Component id="jTextFieldA" linkSize="1" pref="109" max="32767" attributes="1"/>
                                  </Group>
                                  <Group type="102" alignment="1" attributes="0">
                                      <Group type="103" groupAlignment="1" attributes="0">
                                          <Component id="jLabelM" alignment="0" min="-2" max="-2" attributes="1"/>
                                          <Group type="102" attributes="0">
                                              <Component id="jLabelX0" min="-2" max="-2" attributes="0"/>
                                              <EmptySpace min="-2" pref="127" max="-2" attributes="0"/>
                                          </Group>
                                      </Group>
                                      <EmptySpace pref="6" max="32767" attributes="0"/>
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Component id="jTextFieldX0" linkSize="1" pref="63" max="32767" attributes="1"/>
                                          <Component id="jTextFieldM" linkSize="1" alignment="0" pref="63" max="32767" attributes="1"/>
                                      </Group>
                                  </Group>
                                  <Group type="102" attributes="0">
                                      <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                      <Component id="jComboBox1" max="32767" attributes="0"/>
                                  </Group>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace min="-2" pref="49" max="-2" attributes="0"/>
                                  <Component id="jButtonGenerar" min="-2" pref="155" max="-2" attributes="0"/>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace min="-2" pref="121" max="-2" attributes="0"/>
                                  <Component id="jButton1" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                          <EmptySpace max="32767" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" attributes="0">
                                  <EmptySpace min="12" pref="12" max="-2" attributes="0"/>
                                  <Component id="jButtonLimpiar" min="-2" pref="110" max="-2" attributes="0"/>
                              </Group>
                              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                  <Component id="jScrollPane1" min="0" pref="0" max="32767" attributes="1"/>
                                  <Component id="jLabel11" alignment="0" max="32767" attributes="1"/>
                              </Group>
                          </Group>
                          <EmptySpace min="-2" pref="150" max="-2" attributes="0"/>
                      </Group>
                  </Group>
              </Group>
              <Group type="102" attributes="0">
                  <Component id="jPanel2" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="jLabel1" min="-2" pref="33" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jCheckBox1" alignment="0" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <EmptySpace min="-2" pref="32" max="-2" attributes="0"/>
                          <Component id="jLabel11" min="-2" max="-2" attributes="0"/>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Component id="jScrollPane1" max="32767" attributes="0"/>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Component id="jButtonLimpiar" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="14" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <EmptySpace min="-2" pref="78" max="-2" attributes="0"/>
                          <Component id="jButton1" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="65" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jComboBox1" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabelX0" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jTextFieldX0" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabelM" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jTextFieldM" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabelA" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jTextFieldA" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace type="separate" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Component id="jTextFieldC" alignment="0" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabelC" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace max="32767" attributes="0"/>
                          <Component id="jButtonGenerar" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Component id="jPanel2" min="-2" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Ubuntu" size="24" style="3"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="text" type="java.lang.String" value="N&#xfa;meros Aleatorios"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Times New Roman" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Seleccionar"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="jComboBox1">
          <Properties>
            <Property name="maximumRowCount" type="int" value="6"/>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="2">
                <StringItem index="0" value="&quot; &quot;"/>
                <StringItem index="1" value="Congruencial Mixto"/>
              </StringArray>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jComboBox1ItemStateChanged"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabelM">
          <Properties>
            <Property name="text" type="java.lang.String" value="Modulo M"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextFieldM">
          <Properties>
            <Property name="document" type="javax.swing.text.Document" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldM, 9)" type="code"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jTextFieldMActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabelX0">
          <Properties>
            <Property name="text" type="java.lang.String" value="Semilla Xo"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextFieldA">
          <Properties>
            <Property name="document" type="javax.swing.text.Document" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldA, 9)" type="code"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jTextFieldAActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextFieldX0">
          <Properties>
            <Property name="document" type="javax.swing.text.Document" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldX0, 9)" type="code"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jTextFieldX0ActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabelA">
          <Properties>
            <Property name="text" type="java.lang.String" value="Multiplicador A"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="jTextFieldC">
          <Properties>
            <Property name="document" type="javax.swing.text.Document" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldC, 9)" type="code"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jTextFieldCActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabelC">
          <Properties>
            <Property name="text" type="java.lang.String" value="Constante C"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JList" name="jList1">
              <Properties>
                <Property name="model" type="javax.swing.ListModel" editor="org.netbeans.modules.form.editors2.ListModelEditor">
                  <StringArray count="0"/>
                </Property>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel11">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Times New Roman" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Numeros Generados"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JPanel" name="jPanel2">

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="jLabelPeriodo" min="-2" pref="659" max="-2" attributes="1"/>
                      <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="1" attributes="0">
                      <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                      <Component id="jLabelPeriodo" min="-2" pref="60" max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JLabel" name="jLabelPeriodo">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="Ubuntu" size="24" style="0"/>
                </Property>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JCheckBox" name="jCheckBox1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Validar"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="jButtonLimpiar">
          <Properties>
            <Property name="text" type="java.lang.String" value="LIMPIAR"/>
            <Property name="toolTipText" type="java.lang.String" value="Limpiar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonLimpiarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="jButtonGenerar">
          <Properties>
            <Property name="text" type="java.lang.String" value="GENERAR"/>
            <Property name="toolTipText" type="java.lang.String" value="Generar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonGenerarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="jButton1">
          <Properties>
            <Property name="text" type="java.lang.String" value="VOLADO"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButton1ActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
